Class | Yajl::Gzip::StreamReader
In: | lib/yajl/gzip/stream_reader.rb
Parent: | ::Zlib::GzipReader

This is a wrapper around Zlib::GzipReader to allow it‘s read method to adhere to the IO spec, allowing for two parameters (length, and buffer)

### Methods

parse read

### Public Class methods

parse(input, options={}, buffer_size=nil, &block)

Helper method for one-off parsing from a gzip-compressed stream

See Yajl::Parser#parse for parameter documentation

### Public Instance methods

read(len=nil, buffer=nil)

A helper method to allow use similar to IO#read

[Validate]